Summary:  A C library for multiple-precision floating-point computations with correct rounding
Name: mpfr
Version: 4.2.1
Release: 1%{?dist}
License: LGPLv3+
URL: https://www.mpfr.org/
Source0: https://www.mpfr.org/%{name}-%{version}/%{name}-%{version}.tar.xz

BuildRequires: gcc gmp-devel make texinfo

%description
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". MPFR library allows user to conduct 
floating-point calculations with virtually any (restricted by available 
memory only) precision with correct rounding. Besides simple arithmetic 
operations like “+” and “/” the whole set of mathematical functions is 
supported: sin, sqrt, pow, log, etc.

%package devel
Summary: Development files for the MPFR library
Requires: mpfr = %{version}-%{release}
Requires: gmp-devel

%description devel
The MPFR library is a C library for multiple-precision floating-point
computations with exact rounding (also called correct rounding). It is
based on the GMP multiple-precision library.

%package doc
Summary: Documentation for the MPFR library
License: GFDL
BuildArch: noarch

%description doc
Documentation for the MPFR library.

%prep
%autosetup -p1

%build
%configure --disable-assert --disable-static

# Get rid of undesirable hardcoded rpaths; workaround libtool reordering
sed -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    -e 's|CC="\(g..\)"|CC="\1 -Wl,--as-needed"|' \
    -i libtool

%make_build

%install
%make_install
cp -p PATCHES README %{buildroot}%{_pkgdocdir}
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{_pkgdocdir}/COPYING{,.LESSER}

%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
%make_build check

%files
%license COPYING COPYING.LESSER
%{_pkgdocdir}/BUGS
%{_pkgdocdir}/NEWS
%{_pkgdocdir}/PATCHES
%{_pkgdocdir}/README
%{_libdir}/libmpfr.so.6*

%files devel
%{_includedir}/mpfr.h
%{_includedir}/mpf2mpfr.h
%{_libdir}/pkgconfig/mpfr.pc
%{_libdir}/libmpfr.so

%files doc
%{_pkgdocdir}/AUTHORS
%{_pkgdocdir}/examples
%{_pkgdocdir}/FAQ.html
%{_pkgdocdir}/TODO
%{_infodir}/mpfr.info*

%changelog
* Thu Jan 04 2024 Upgrade Robot <upbot@opencloudos.org> - 4.2.1-1
- Upgrade to version 4.2.1

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.2.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 10 2023 rockerzhu <rockerzhu@tencent.com> - 4.2.0-1
- Upgrade to 4.2.0 and fix tsprintf fails with glibc 2.37.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 08 2022 Wang Zhe <bessiewang@tencent.com> - 4.1.0-1
- initial build
